Skip to main content
GET
/
v2
/
locations
Fetches a list of locations.
curl --request GET \
  --url https://api.spirii.com/v2/locations \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": 123456,
      "name": "Example Location",
      "address": "123 Charging St, City, Country",
      "postalCode": "00123",
      "city": "Copenhagen",
      "countryCode": "DK",
      "partyId": "SPI",
      "coordinates": {
        "latitude": 55.6761,
        "longitude": 12.5683
      },
      "publish": true,
      "evses": [
        {
          "uid": 123456,
          "evseId": "DK.12343*1",
          "chargeboxId": 123,
          "status": "CHARGING",
          "connectors": [
            {
              "id": 1,
              "standard": "CHADEMO",
              "format": "SOCKET",
              "powerType": "DC",
              "maxElectricPower": 22,
              "maxAmperage": 32,
              "maxVoltage": 400,
              "tariffIds": [
                "58652fe8-d840-4aa4-bb4f-3ebd944df9d6"
              ],
              "error": {
                "errorCode": "UnderVoltage",
                "info": "NO_VOLTAGE_L2_L3",
                "vendorErrorCode": "134217728"
              },
              "deletedAt": "2025-01-27 09:38:41"
            }
          ]
        }
      ],
      "operator": {
        "name": "ChargedUp Inc.",
        "website": "https://spirii.com"
      },
      "lastUpdated": "2025-01-27 09:38:41",
      "allowPriorityCharging": true,
      "parkingType": "ON_STREET",
      "facilities": [
        "WIFI",
        "RESTROOM"
      ],
      "directions": [
        {
          "text": "Public info goes here",
          "language": "en"
        }
      ],
      "openingTimes": {
        "twentyFourSeven": false,
        "regularHours": [
          {
            "weekday": 1,
            "periodBegin": "08:00",
            "periodEnd": "17:00"
          }
        ]
      },
      "owner": {
        "name": "ChargedUp Inc.",
        "website": "https://spirii.com"
      },
      "customer": {
        "id": 123456
      },
      "energyMix": {
        "isGreenEnergy": false
      },
      "helpPhone": "4550505050",
      "billingReference": "Identifier text"
    }
  ],
  "nextPageCursor": "My0xMDAw",
  "previousPageCursor": "My0xMDAw"
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <SPIRII_API_KEY>

Query Parameters

nextPageCursor
string

Cursor to be used to request the next page.

Example:

"My0xMDAw"

previousPageCursor
string

Cursor to be used to request the previous page.

Example:

"My0xMDAw"

limit
integer
default:25

Limit amount of returned records.

Required range: 1 <= x <= 100
ownerId
number

Legacy ID of the customer that 'owns' the location. An 'owner' represents a 'customer' in the Spirii Connect portal/UI. While the term 'ownerId' is outdated, this ID is retained for backward compatibility with legacy systems.

customerId
number

Deprecated: use 'customerIds' instead. ID of the customer that 'owns' the location. The 'customerId' is the unique identifier for a customer. The 'customer' can be found in the Connect Customer management page. This customer ID corresponds with the customer ID that can be retrieved from the Customer v2 API.

customerIds
number[]

List of IDs of customers that 'own' the locations. The 'customerIds' are unique identifiers for customers. The 'customers' can be found in the Connect Customer management page. These customer IDs correspond with the customer IDs that can be retrieved from the Customer v2 API.

Example:
[123, 456, 789]
tariffId
string

Uniquely identifies the tariff within the CPO’s platform

Example:

"58652fe8-d840-4aa4-bb4f-3ebd944df9d6"

ids
number[]

List of IDs that Uniquely identifies the location

Example:
[123, 456, 789]
priority
boolean

Retrieve only priority/non-priority locations

Response

data
object[]
required

List of locations

nextPageCursor
string

Cursor to be used to request the next page.

Example:

"My0xMDAw"

previousPageCursor
string

Cursor to be used to request the previous page.

Example:

"My0xMDAw"